<?php
require 'config.inc.php';
define('ThisFile', ThisFile());
$set = cache_read("set-".$moduleid.".php",PL_ROOT.$PL_CFG['cache']."/");
if ($set['htm_show_urlid']=='2'){
$id = $_SERVER['QUERY_STRING'];
$id = str_replace(array('.shtml','.html','.htm'), array('','',''), $id);
}
if(preg_match("/^\d*$/",$id)){
$tag = sql_show("moduleid=$moduleid&where=id=".$id."&order=id asc");
$menuinfo = cache_read("moduleid-".$moduleid.".php",PL_ROOT.$PL_CFG['cache']."/");
$title = $tag['title'].TITLE_SEO.catname($moduleid,$tag[catid]).TITLE_SEO.$menuinfo['name'].TITLE_SEO.$pl_set[webname];
$keywords = $tag['keyword']?$tag['keyword']:'';
$description = $tag['description']?$tag['description']:'';
$tmpath = tmpset($tag['template'],cattmp($moduleid,$id,'n'),$set['show_template'],ThisFile);
$phpleft->display(modname($moduleid)."/".$tmpath);
$db->query("update 	".$PL_CFG['tb_pre'].modname($moduleid)."_".$moduleid." set hits=hits+1 where id='$id'");
}
?>